coap_hdr_t Struct Reference

`#include <pdu.h>`

## Data Fields

unsigned int | token_length:4
unsigned int | type:2
unsigned int | version:2
unsigned int | code:8
unsigned short | id
unsigned char | token []

## Detailed Description

Definition at line 185 of file pdu.h.

## Field Documentation

## code

unsigned int coap_hdr_t::code

Definition at line 189 of file pdu.h.

## id

unsigned short coap_hdr_t::id

Definition at line 191 of file pdu.h.

## token

unsigned char coap_hdr_t::token[]

Definition at line 192 of file pdu.h.

## token_length

unsigned int coap_hdr_t::token_length

Definition at line 186 of file pdu.h.

## type

unsigned int coap_hdr_t::type

Definition at line 187 of file pdu.h.

## version

unsigned int coap_hdr_t::version

Definition at line 188 of file pdu.h.

The documentation for this struct was generated from the following file:

- pdu.h